%global momorel 1
%global qtver 3.3.7
%global kdever 3.5.8
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 dc4772804c17d7eff4f913048b8e1c3c

Summary: Libkdcraw is a C++ interface around dcraw binary program used to decode RAW picture files
Name: libkdcraw
Version: 0.1.3
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://extragear.kde.org/apps/kipi/
Group: System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/kipi/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: lcms-devel
BuildPreReq: libjpeg-devel
BuildPreReq: pkgconfig

%description
Libkdcraw is a C++ interface around dcraw binary program used to decode RAW
picture files.  The library documentation is available on header files.

This library is used by kipi-plugins, digiKam and others kipi host programs.

%package devel
Summary: Static libraries and headers for libkdcraw
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on libkdcdraw.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/libkdcraw2
%{_libdir}/libkdcraw.so.*
%{_datadir}/icons/hicolor/*/apps/kdcraw.png
%{_datadir}/locale/*/LC_MESSAGES/libkdcraw.mo

%files devel
%defattr(-, root, root)
%{_includedir}/libkdcraw
%{_libdir}/pkgconfig/libkdcraw.pc
%{_libdir}/libkdcraw.la
%{_libdir}/libkdcraw.so

%changelog
* Tue Jan  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-1m)
- version 0.1.3

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-1m)
- version 0.1.2
- License: GPLv2

* Sat Jun 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- version 0.1.1

* Wed May  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-1m)
- initial package for Momonga Linux
